geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Viet Nguyen" <vhng...@gmail.com>
Subject Re: Deploy with datasource Error
Date Thu, 16 Aug 2007 23:52:52 GMT
Where are you putting your tranql-connector-ra-1.3.rar in the EAR? I think
it should be on the top most level of the archive. For an example, go here

http://cwiki.apache.org/GMOxDOC20/ejb-sample-application.html

Hope this will help,
Viet Nguyen

On 8/16/07, bgbraga <bgbraga@gmail.com> wrote:
>
>
> I'm not having success when making deploy in the Geronimo 2.0 M6
>
> I'm user of Tomcat and Websphere Application Server. I never had used the
> Geronimo.
>
> I read that I would need a Deployment plans, and made these archives:
> - /META-INF/application.xml
> - /META-INF/geronimo-application.xml
> - /WEB-INF/geronimo-web.xml
> - /geronimo-database.xml (datasource config)
>
> DEPLOY ERROR:
> 20:29:32,341 ERROR [Deployer] Deployment failed due to
> org.apache.geronimo.common.DeploymentException: Invalid moduleFile:
> tranql-connector-ra-1.3.rar
> ....
> Caused by: java.io.IOException: Jar entry does not exist:
> jarFile=C:\Users\BRUNO~1.BRA\AppData\Local\Temp\geronimo-
> deployer52299.tmpdir\globalsafe.zip,
> path=tranql-connector-ra-1.3.rar
>
>
>
> application.xml:
>
> <?xml version="1.0" encoding="UTF-8"?>
> <application
>                 xmlns="http://java.sun.com/xml/ns/j2ee"
>                 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>                 xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee
> http://java.sun.com/xml/ns/j2ee/application_1_4.xsd"
>                 version="1.4">
>
>         <module>
>                 <connector>tranql-connector-ra-1.3.rar</connector>
>         </module>
> </application>
>
>
> geronimo-application.xml:
>
> <?xml version="1.0"?>
> <application xmlns="http://geronimo.apache.org/xml/ns/j2ee/application">
>         <dep:environment xmlns:dep="
> http://geronimo.apache.org/xml/ns/deployment">
>                 <dep:moduleId>
>                         <dep:groupId>default</dep:groupId>
>                         <dep:artifactId>GlobalSafe</dep:artifactId>
>                         <dep:version>1.0</dep:version>
>                         <dep:type>car</dep:type>
>                 </dep:moduleId>
>                 <dep:dependencies/>
>                 <dep:hidden-classes/>
>                 <dep:non-overridable-classes/>
>         </dep:environment>
>         <module>
>                 <connector>tranql-connector-ra-1.3.rar</connector>
>                 <alt-dd>geronimo-database.xml</alt-dd>
>         </module>
> </application>
>
> How to resolve the problem?
> <connector>tranql-connector-ra-1.3.rar</connector> and
> <connector>tranql-connector-1.2.rar</connector> don't work.
>
> Thanks!
>
> --
> View this message in context:
> http://www.nabble.com/Deploy-with-datasource-Error-tf4282757s134.html#a12191411
> Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.
>
>

Mime
View raw message